com.tibco.n2.service.adapter.logging

## Enum SAExceptionMessages

- java.lang.Object
- - java.lang.Enum<SAExceptionMessages>
  - - com.tibco.n2.service.adapter.logging.SAExceptionMessages

- All Implemented Interfaces:
    com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.context.message.N2LogExceptionContext>, com.tibco.n2.logging.context.interfaces.N2LFIExceptionMessage, java.io.Serializable, java.lang.Comparable<SAExceptionMessages>

      public enum SAExceptionMessages
      extends java.lang.Enum<SAExceptionMessages>
      implements com.tibco.n2.logging.context.interfaces.N2LFIExceptionMessage

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bdsServiceRefused`
    `brmServiceRefused`
    `bsServiceRefused`
    `cancelProcessInstanceException`
    `dacServiceRefused`
    `deServiceRefused`
    `ecServiceRefused`
    `invokeFail`
    `mBeanException`
    `NoSuchFieldException`
    `peServiceRefused`
    `pfeServiceRefused`
    `resumeProcessInstanceException`
    `serviceAdapterConfigInit`
    `suspendProcessInstanceException`
    `wpServiceRefused`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.tibco.n2.logging.context.parser.N2LFContextContainer<com.tibco.n2.logging.context.message.N2LogExceptionContext>` | `ctx`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.logging.context.message.N2LogExceptionContext` | `getContext()`
    `void` | `setContext(com.tibco.n2.logging.context.message.N2LogExceptionContext aValue)`
    `static SAExceptionMessages` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SAExceptionMessages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### mBeanException

          public static final SAExceptionMessages mBeanException

    - #### cancelProcessInstanceException

          public static final SAExceptionMessages cancelProcessInstanceException

    - #### resumeProcessInstanceException

          public static final SAExceptionMessages resumeProcessInstanceException

    - #### suspendProcessInstanceException

          public static final SAExceptionMessages suspendProcessInstanceException

    - #### serviceAdapterConfigInit

          public static final SAExceptionMessages serviceAdapterConfigInit

    - #### brmServiceRefused

          public static final SAExceptionMessages brmServiceRefused

    - #### wpServiceRefused

          public static final SAExceptionMessages wpServiceRefused

    - #### deServiceRefused

          public static final SAExceptionMessages deServiceRefused

    - #### peServiceRefused

          public static final SAExceptionMessages peServiceRefused

    - #### ecServiceRefused

          public static final SAExceptionMessages ecServiceRefused

    - #### dacServiceRefused

          public static final SAExceptionMessages dacServiceRefused

    - #### pfeServiceRefused

          public static final SAExceptionMessages pfeServiceRefused

    - #### bsServiceRefused

          public static final SAExceptionMessages bsServiceRefused

    - #### bdsServiceRefused

          public static final SAExceptionMessages bdsServiceRefused

    - #### invokeFail

          public static final SAExceptionMessages invokeFail

    - #### NoSuchFieldException

          public static final SAExceptionMessages NoSuchFieldException

  - ### Field Detail

    - #### ctx

          protected com.tibco.n2.logging.context.parser.N2LFContextContainer<com.tibco.n2.logging.context.message.N2LogExceptionContext> ctx

  - ### Method Detail

    - #### values

          public static SAExceptionMessages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SAExceptionMessages c : SAExceptionMessages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SAExceptionMessages valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getContext

          public com.tibco.n2.logging.context.message.N2LogExceptionContext getContext()

      Specified by:
        `getContext` in interface `com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.context.message.N2LogExceptionContext>`

    - #### setContext

          public void setContext(com.tibco.n2.logging.context.message.N2LogExceptionContext aValue)

      Specified by:
        `setContext` in interface `com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.context.message.N2LogExceptionContext>`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.